<html>
<head>
<title>Ogre::GLFBOManager::RBRef Struct Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1GLFBOManager.html">GLFBOManager</a>      </li>
      <li class="navelem"><a class="el" href="structOgre_1_1GLFBOManager_1_1RBRef.html">RBRef</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::GLFBOManager::RBRef Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::GLFBOManager::RBRef" -->
<p><a href="structOgre_1_1GLFBOManager_1_1RBRef-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1GLFBOManager_1_1RBRef.html#a08d65b853af86919c2b4a7df7ae01f10">RBRef</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1GLFBOManager_1_1RBRef.html#affafe4cfc91ca61f4fc08ba2737a1a20">RBRef</a> (<a class="el" href="classOgre_1_1GLRenderBuffer.html">GLRenderBuffer</a> *inBuffer)</td></tr>
<tr><td colspan="2"><h2><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1GLRenderBuffer.html">GLRenderBuffer</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1GLFBOManager_1_1RBRef.html#a18139b1b9ec00ea4c47218affba85cc3">buffer</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1GLFBOManager_1_1RBRef.html#add5e2c937bbdfcc7e69949925a6541b2">refcount</a></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="OgreGLFBORenderTexture_8h_source.html#l00171">171</a> of file <a class="el" href="OgreGLFBORenderTexture_8h_source.html">OgreGLFBORenderTexture.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a08d65b853af86919c2b4a7df7ae01f10"></a><!-- doxytag: member="Ogre::GLFBOManager::RBRef::RBRef" ref="a08d65b853af86919c2b4a7df7ae01f10" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structOgre_1_1GLFBOManager_1_1RBRef.html#a08d65b853af86919c2b4a7df7ae01f10">Ogre::GLFBOManager::RBRef::RBRef</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLFBORenderTexture_8h_source.html#l00173">173</a> of file <a class="el" href="OgreGLFBORenderTexture_8h_source.html">OgreGLFBORenderTexture.h</a>.</p>

</div>
</div>
<a class="anchor" id="affafe4cfc91ca61f4fc08ba2737a1a20"></a><!-- doxytag: member="Ogre::GLFBOManager::RBRef::RBRef" ref="affafe4cfc91ca61f4fc08ba2737a1a20" args="(GLRenderBuffer *inBuffer)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structOgre_1_1GLFBOManager_1_1RBRef.html#a08d65b853af86919c2b4a7df7ae01f10">Ogre::GLFBOManager::RBRef::RBRef</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1GLRenderBuffer.html">GLRenderBuffer</a> *&#160;</td>
          <td class="paramname"><em>inBuffer</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLFBORenderTexture_8h_source.html#l00174">174</a> of file <a class="el" href="OgreGLFBORenderTexture_8h_source.html">OgreGLFBORenderTexture.h</a>.</p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="a18139b1b9ec00ea4c47218affba85cc3"></a><!-- doxytag: member="Ogre::GLFBOManager::RBRef::buffer" ref="a18139b1b9ec00ea4c47218affba85cc3" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1GLRenderBuffer.html">GLRenderBuffer</a>* <a class="el" href="structOgre_1_1GLFBOManager_1_1RBRef.html#a18139b1b9ec00ea4c47218affba85cc3">Ogre::GLFBOManager::RBRef::buffer</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLFBORenderTexture_8h_source.html#l00177">177</a> of file <a class="el" href="OgreGLFBORenderTexture_8h_source.html">OgreGLFBORenderTexture.h</a>.</p>

</div>
</div>
<a class="anchor" id="add5e2c937bbdfcc7e69949925a6541b2"></a><!-- doxytag: member="Ogre::GLFBOManager::RBRef::refcount" ref="add5e2c937bbdfcc7e69949925a6541b2" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="structOgre_1_1GLFBOManager_1_1RBRef.html#add5e2c937bbdfcc7e69949925a6541b2">Ogre::GLFBOManager::RBRef::refcount</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLFBORenderTexture_8h_source.html#l00178">178</a> of file <a class="el" href="OgreGLFBORenderTexture_8h_source.html">OgreGLFBORenderTexture.h</a>.</p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="OgreGLFBORenderTexture_8h_source.html">OgreGLFBORenderTexture.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:18
</p>
</body>
</html>
